package com.njcn.gather.tool.active.service;

import com.njcn.gather.tool.active.vo.ActivationCodePlaintext;

public interface ActivateService {


    /**
     * 生成设备申请码
     *
     * @return
     */
    String generateApplicationCode();

    /**
     * 验证激活码
     *
     * @param activationCode
     * @return
     */
    ActivationCodePlaintext verifyActivationCode(String activationCode);

    /**
     * 读取授权文件
     *
     * @return
     */
    ActivationCodePlaintext readLicenseFile();

    /**
     * 生成设备激活码
     *
     * @param applicationCode         申请码
     * @param activationCodePlaintext
     * @return
     */
    String generateActivationCode(String applicationCode, ActivationCodePlaintext activationCodePlaintext);


}
